Bug 482991 - rhythmbox crashes on quit
rhythmbox crashes on quit
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 02:59 EST by Jan Hutař
Modified: 2009-02-09 11:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-09 11:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-01-29 02:59:58 EST
Description of problem:
rhythmbox crashes on quit (both, from menu or from tray icon).


Version-Release number of selected component (if applicable):
rhythmbox-0.11.6-17.r6096.fc10.x86_64


How reproducible:
always


Steps to Reproduce:
1. Music -> Quit


Actual results:
crashes, bug-budy appears


Expected results:
juts quits


Additional info:
Distribution: Fedora release 10 (Cambridge)
Gnome Release: 2.24.2 2008-11-25 (Red Hat, Inc)
BugBuddy Version: 2.24.2

System: Linux 2.6.27.9-159.fc10.x86_64 #1 SMP Tue Dec 16 14:47:52 EST 2008 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10503000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: gnome

Memory status: size: 614191104 vsize: 614191104 resident: 41459712 share: 19476480 rss: 41459712 rss_rlim: 18446744073709551615
CPU usage: start_time: 1233215618 rtime: 184 utime: 158 stime: 26 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/rhythmbox'

[Thread debugging using libthread_db enabled]
[New Thread 0x7f4259e72800 (LWP 704)]
[New Thread 0x7f424e685950 (LWP 709)]
0x0000003fb8e0ec2f in __libc_waitpid (pid=713, stat_loc=0x7fff61eb5b50, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
41	  int result = INLINE_SYSCALL (wait4, 4, pid, stat_loc, options, NULL);
#0  0x0000003fb8e0ec2f in __libc_waitpid (pid=713, stat_loc=0x7fff61eb5b50, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
#1  0x0000003fb9e6f139 in IA__g_spawn_sync (
    working_directory=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>, flags=<value optimized out>, 
    child_setup=<value optimized out>, user_data=<value optimized out>, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0x7fff61eb5c88) at gspawn.c:382
#2  0x0000003fb9e6f448 in IA__g_spawn_command_line_sync (
    command_line=<value optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fff61eb5c88) at gspawn.c:694
#3  0x00000000008dd6ae in run_bug_buddy () at gnome-breakpad.cc:223
#4  check_if_gdb () at gnome-breakpad.cc:292
#5  0x00000000008dd759 in bugbuddy_segv_handle (signum=713)
    at gnome-breakpad.cc:84
#6  <signal handler called>
#7  0x0000003fb8232f05 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0x0000003fb8234a73 in abort () at abort.c:88
#9  0x0000003fb822bef9 in __assert_fail (assertion=0x3de220cbf4 "group", 
    file=0x3de220cbe7 "entrygroup.c", line=293, 
    function=0x3de220cdd0 "avahi_entry_group_get_client") at assert.c:78
#10 0x0000003de2205841 in avahi_entry_group_get_client (
    group=<value optimized out>) at entrygroup.c:293
#11 0x00007f42500104b8 in rb_daap_mdns_avahi_set_entry_group (eg=0x0)
    at rb-daap-mdns-avahi.c:118
#12 0x00007f4250010734 in rb_daap_mdns_publisher_withdraw (
    publisher=0x7f42519a7f00, error=0x7fff61eb6468)
    at rb-daap-mdns-publisher-avahi.c:317
#13 0x00007f4250007985 in rb_daap_share_publish_stop (
    share=<value optimized out>) at rb-daap-share.c:1740
#14 0x00007f4250007ba8 in rb_daap_share_dispose (object=0x28ba4d0)
    at rb-daap-share.c:474
#15 0x0000003fbbe0d752 in IA__g_object_unref (_object=<value optimized out>)
    at gobject.c:2389
#16 0x00007f4250004f30 in rb_daap_sharing_shutdown (shell=0x264e0a0)
    at rb-daap-sharing.c:232
#17 0x00007f4250002a28 in impl_deactivate (bplugin=<value optimized out>, 
    shell=0x264e0a0) at rb-daap-plugin.c:272
#18 0x0000000000460523 in rb_plugins_engine_deactivate_plugin_real ()
    at rb-plugins-engine.c:564
#19 rb_plugin_info_free (info=0x7f42519a7220) at rb-plugins-engine.c:396
#20 0x0000003fb9e29b12 in g_hash_table_remove_node (hash_table=0x288c640, 
    node_ptr_ptr=0x2c0, notify=6) at ghash.c:204
#21 0x0000003fb9e29b8d in g_hash_table_remove_all_nodes (
    hash_table=0x288c640, notify=1) at ghash.c:231
#22 0x0000003fb9e2a798 in IA__g_hash_table_remove_all (hash_table=0x288c640)
    at ghash.c:919
#23 0x0000003fb9e2a8b5 in IA__g_hash_table_destroy (hash_table=0x2c0)
    at ghash.c:644
#24 0x00000000004601fd in rb_plugins_engine_shutdown ()
    at rb-plugins-engine.c:428
#25 0x0000000000423834 in rb_shell_quit (shell=0x264e0a0, 
    error=<value optimized out>) at rb-shell.c:2530
#26 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x2688900, 
    return_value=0x0, n_param_values=1, param_values=0x7f424800cec0, 
    invocation_hint=0x7fff61eb6710) at gclosure.c:767
#27 0x0000003fbbe214bd in signal_emit_unlocked_R (node=0x26511e0, detail=0, 
    instance=0x25dc6c0, emission_return=0x0, 
    instance_and_params=0x7f424800cec0) at gsignal.c:3244
#28 0x0000003fbbe22b68 in IA__g_signal_emit_valist (instance=0x25dc6c0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb68f0)
    at gsignal.c:2977
#29 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
#30 0x000000361ac6ccf3 in _gtk_action_emit_activate (action=0x25dc6c0)
    at gtkaction.c:885
#31 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x2856100, 
    return_value=0x0, n_param_values=1, param_values=0x7f42480f1480, 
    invocation_hint=0x7fff61eb6b30) at gclosure.c:767
#32 0x0000003fbbe214bd in signal_emit_unlocked_R (node=0x260a310, detail=0, 
    instance=0x28558d0, emission_return=0x0, 
    instance_and_params=0x7f42480f1480) at gsignal.c:3244
#33 0x0000003fbbe22b68 in IA__g_signal_emit_valist (instance=0x28558d0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb6d10)
    at gsignal.c:2977
#34 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
#35 0x000000361ae31acb in IA__gtk_widget_activate (widget=0x28558d0)
    at gtkwidget.c:4776
#36 0x000000361ad3658d in IA__gtk_menu_shell_activate_item (
    menu_shell=0x284c0f0, menu_item=0x28558d0, 
    force_deactivate=<value optimized out>) at gtkmenushell.c:1139
#37 0x000000361ad37fd5 in gtk_menu_shell_button_release (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkmenushell.c:678
#38 0x000000361ad294c8 in _gtk_marshal_BOOLEAN__BOXED (closure=0x25fe5b0, 
    return_value=0x7fff61eb7040, n_param_values=<value optimized out>, 
    param_values=0x7f4248102d50, invocation_hint=<value optimized out>, 
    marshal_data=0x361ad2f1b0) at gtkmarshalers.c:84
#39 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x25fe5b0, 
    return_value=0x7fff61eb7040, n_param_values=2, 
    param_values=0x7f4248102d50, invocation_hint=0x7fff61eb7000)
    at gclosure.c:767
#40 0x0000003fbbe2119b in signal_emit_unlocked_R (node=0x25fe1d0, detail=0, 
    instance=0x284c0f0, emission_return=0x7fff61eb7180, 
    instance_and_params=0x7f4248102d50) at gsignal.c:3282
#41 0x0000003fbbe229ea in IA__g_signal_emit_valist (instance=0x284c0f0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb71e0)
    at gsignal.c:2987
#42 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
#43 0x000000361ae2c1de in gtk_widget_event_internal (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkwidget.c:4745
#44 0x000000361ad21e33 in IA__gtk_propagate_event (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkmain.c:2391
#45 0x000000361ad22f53 in IA__gtk_main_do_event (event=0x7f424d0e02a0)
    at gtkmain.c:1596
#46 0x000000361a84dd5c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2365
#47 0x0000003fb9e3779b in g_main_dispatch () at gmain.c:2144
#48 IA__g_main_context_dispatch (context=0x247d6c0) at gmain.c:2697
#49 0x0000003fb9e3af6d in g_main_context_iterate (context=0x247d6c0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778
#50 0x0000003fb9e3b49d in IA__g_main_loop_run (loop=0x7f424f524ba0)
    at gmain.c:2986
#51 0x000000361ad23367 in IA__gtk_main () at gtkmain.c:1200
#52 0x0000000000420a91 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at main.c:330

Thread 2 (Thread 0x7f424e685950 (LWP 709)):
#0  pthread_cond_wait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
No locals.
#1  0x0000003fb9e1427c in g_async_queue_pop_intern_unlocked (queue=0x267e7d0, 
    try=0, end_time=0x0) at gasyncqueue.c:358
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#2  0x0000003fb9e14632 in IA__g_async_queue_pop (queue=0x267e7d0)
    at gasyncqueue.c:398
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_async_queue_pop"
#3  0x0000003a6aa477c5 in action_thread_main (db=0x264e2a0) at rhythmdb.c:2738
	action = (RhythmDBAction *) 0x3fba0e0260
	__FUNCTION__ = "action_thread_main"
	__PRETTY_FUNCTION__ = "action_thread_main"
#4  0x0000003fb9e60d34 in g_thread_create_proxy (data=0x7f424f301060)
    at gthread.c:635
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#5  0x0000003fb8e073da in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
	__res = <value optimized out>
	pd = (struct pthread *) 0x7f424e685950
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 4815242246382452393, 
        0, 139922760030544, 273670078464, 140734836208176, 
        -4875232774288277847, 4804316673699380905}, mask_was_saved = 0}}, 
  priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = <value optimized out>
	robust = <value optimized out>
#6  0x0000003fb82e62bd in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
No locals.

Thread 1 (Thread 0x7f4259e72800 (LWP 704)):
#0  0x0000003fb8e0ec2f in __libc_waitpid (pid=713, stat_loc=0x7fff61eb5b50, 
    options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:41
	oldtype = 1
	result = <value optimized out>
#1  0x0000003fb9e6f139 in IA__g_spawn_sync (
    working_directory=<value optimized out>, argv=<value optimized out>, 
    envp=<value optimized out>, flags=<value optimized out>, 
    child_setup=<value optimized out>, user_data=<value optimized out>, 
    standard_output=0x0, standard_error=0x0, exit_status=0x0, 
    error=0x7fff61eb5c88) at gspawn.c:382
	outpipe = -1
	errpipe = -1
	pid = 713
	fds = {__fds_bits = {139922813771168, 8, 16, 16, 1330708192, 0, 16, 
    0, 139922775277304, 139922813666576, 139922775277280, 140734836202632, 3, 
    273701746854, 140734836202328, 140734836202440}}
	ret = <value optimized out>
	outstr = (GString *) 0x0
	errstr = (GString *) 0x0
	failed = 0
	status = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__g_spawn_sync"
#2  0x0000003fb9e6f448 in IA__g_spawn_command_line_sync (
    command_line=<value optimized out>, standard_output=0x0, 
    standard_error=0x0, exit_status=0x0, error=0x7fff61eb5c88) at gspawn.c:694
	retval = 0
	argv = (gchar **) 0x7f424f50fee0
	__PRETTY_FUNCTION__ = "IA__g_spawn_command_line_sync"
#3  0x00000000008dd6ae in run_bug_buddy () at gnome-breakpad.cc:223
	res = <value optimized out>
	error = (GError *) 0x0
#4  check_if_gdb () at gnome-breakpad.cc:292
	mypath = "/usr/bin/rhythmbox", '\0' <repeats 236 times>
	gdb = (gchar *) 0x7f424f510e10 "/usr/bin/gdb"
	appname = (gchar *) 0x246c7a0 "rhythmbox"
	pid = 704
#5  0x00000000008dd759 in bugbuddy_segv_handle (signum=713)
    at gnome-breakpad.cc:84
	in_segv = 1
#6  <signal handler called>
No locals.
#7  0x0000003fb8232f05 in raise (sig=<value optimized out>)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
	pid = <value optimized out>
	selftid = <value optimized out>
#8  0x0000003fb8234a73 in abort () at abort.c:88
	act = {__sigaction_handler = {
    sa_handler = 0x3fb856c860 <_IO_2_1_stderr_>, 
    sa_sigaction = 0x3fb856c860 <_IO_2_1_stderr_>}, sa_mask = {__val = {
      273673325518, 140734836204208, 293, 140734836204448, 273672469606, 
      206158430232, 140734836204464, 140734836204240, 273672372280, 
      206158430256, 140734836204488, 42472528, 113, 42472512, 273675639296, 
      140734836210266}}, sa_flags = -1204581426, 
  sa_restorer = 0x3de220cbe7 <dbus_message_append_args+37695>}
	sigs = {__val = {32, 0 <repeats 15 times>}}
#9  0x0000003fb822bef9 in __assert_fail (assertion=0x3de220cbf4 "group", 
    file=0x3de220cbe7 "entrygroup.c", line=293, 
    function=0x3de220cdd0 "avahi_entry_group_get_client") at assert.c:78
	buf = 0x2881450 "ð/~\002"
	errstr = "Unexpected error.\n"
#10 0x0000003de2205841 in avahi_entry_group_get_client (
    group=<value optimized out>) at entrygroup.c:293
	__PRETTY_FUNCTION__ = "avahi_entry_group_get_client"
#11 0x00007f42500104b8 in rb_daap_mdns_avahi_set_entry_group (eg=0x0)
    at rb-daap-mdns-avahi.c:118
	__PRETTY_FUNCTION__ = "rb_daap_mdns_avahi_set_entry_group"
#12 0x00007f4250010734 in rb_daap_mdns_publisher_withdraw (
    publisher=0x7f42519a7f00, error=0x7fff61eb6468)
    at rb-daap-mdns-publisher-avahi.c:317
No locals.
#13 0x00007f4250007985 in rb_daap_share_publish_stop (
    share=<value optimized out>) at rb-daap-share.c:1740
	res = <value optimized out>
	error = (GError *) 0x0
#14 0x00007f4250007ba8 in rb_daap_share_dispose (object=0x28ba4d0)
    at rb-daap-share.c:474
	share = (RBDAAPShare *) 0x28ba4d0
#15 0x0000003fbbe0d752 in IA__g_object_unref (_object=<value optimized out>)
    at gobject.c:2389
	object = (GObject *) 0x28ba4d0
	__PRETTY_FUNCTION__ = "IA__g_object_unref"
#16 0x00007f4250004f30 in rb_daap_sharing_shutdown (shell=0x264e0a0)
    at rb-daap-sharing.c:232
	__FUNCTION__ = "rb_daap_sharing_shutdown"
#17 0x00007f4250002a28 in impl_deactivate (bplugin=<value optimized out>, 
    shell=0x264e0a0) at rb-daap-plugin.c:272
	plugin = (RBDaapPlugin *) 0x248c540
	uimanager = (GtkUIManager *) 0x0
	__FUNCTION__ = "impl_deactivate"
#18 0x0000000000460523 in rb_plugins_engine_deactivate_plugin_real ()
    at rb-plugins-engine.c:564
No locals.
#19 rb_plugin_info_free (info=0x7f42519a7220) at rb-plugins-engine.c:396
	__FUNCTION__ = "rb_plugin_info_free"
#20 0x0000003fb9e29b12 in g_hash_table_remove_node (hash_table=0x288c640, 
    node_ptr_ptr=0x2c0, notify=6) at ghash.c:204
	node_ptr = (GHashNode **) 0xffffffffffffffff
	node = (GHashNode *) 0x7f42519a9420
#21 0x0000003fb9e29b8d in g_hash_table_remove_all_nodes (
    hash_table=0x288c640, notify=1) at ghash.c:231
	node_ptr = (GHashNode **) 0x28bad08
	i = 1
#22 0x0000003fb9e2a798 in IA__g_hash_table_remove_all (hash_table=0x288c640)
    at ghash.c:919
	__PRETTY_FUNCTION__ = "IA__g_hash_table_remove_all"
#23 0x0000003fb9e2a8b5 in IA__g_hash_table_destroy (hash_table=0x2c0)
    at ghash.c:644
	__PRETTY_FUNCTION__ = "IA__g_hash_table_destroy"
#24 0x00000000004601fd in rb_plugins_engine_shutdown ()
    at rb-plugins-engine.c:428
No locals.
#25 0x0000000000423834 in rb_shell_quit (shell=0x264e0a0, 
    error=<value optimized out>) at rb-shell.c:2530
	__FUNCTION__ = "rb_shell_quit"
#26 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x2688900, 
    return_value=0x0, n_param_values=1, param_values=0x7f424800cec0, 
    invocation_hint=0x7fff61eb6710) at gclosure.c:767
	marshal = (void (*)(GClosure *, GValue *, guint, const GValue *, 
    gpointer, gpointer)) 0x3fbbe182f0 <IA__g_cclosure_marshal_VOID__VOID>
	marshal_data = (void *) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#27 0x0000003fbbe214bd in signal_emit_unlocked_R (node=0x26511e0, detail=0, 
    instance=0x25dc6c0, emission_return=0x0, 
    instance_and_params=0x7f424800cec0) at gsignal.c:3244
	tmp = <value optimized out>
	handler = (Handler *) 0x2626ac0
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x0, instance = 0x25dc6c0, ihint = {
    signal_id = 183, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x264dd70
	handler_list = (Handler *) 0x2626ac0
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 183
	max_sequential_handler_number = 3762
	return_value_altered = 1
#28 0x0000003fbbe22b68 in IA__g_signal_emit_valist (instance=0x25dc6c0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb68f0)
    at gsignal.c:2977
	signal_return_type = 4
	param_values = (GValue *) 0x7f424800ced8
	node = (SignalNode *) 0x26511e0
	i = 0
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#29 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
	var_args = {{gp_offset = 24, fp_offset = 48, 
    overflow_arg_area = 0x7fff61eb69d0, reg_save_area = 0x7fff61eb6910}}
#30 0x000000361ac6ccf3 in _gtk_action_emit_activate (action=0x25dc6c0)
    at gtkaction.c:885
	group = (GtkActionGroup *) 0x2647a30
#31 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x2856100, 
    return_value=0x0, n_param_values=1, param_values=0x7f42480f1480, 
    invocation_hint=0x7fff61eb6b30) at gclosure.c:767
	marshal = (void (*)(GClosure *, GValue *, guint, const GValue *, 
    gpointer, gpointer)) 0x3fbbe182f0 <IA__g_cclosure_marshal_VOID__VOID>
	marshal_data = (void *) 0x0
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#32 0x0000003fbbe214bd in signal_emit_unlocked_R (node=0x260a310, detail=0, 
    instance=0x28558d0, emission_return=0x0, 
    instance_and_params=0x7f42480f1480) at gsignal.c:3244
	tmp = <value optimized out>
	handler = (Handler *) 0x2854070
	accumulator = (SignalAccumulator *) 0x0
	emission = {next = 0x7fff61eb6ff0, instance = 0x28558d0, ihint = {
    signal_id = 117, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, 
  state = EMISSION_RUN, chain_type = 4}
	class_closure = (GClosure *) 0x260a2a0
	handler_list = (Handler *) 0x2854070
	return_accu = (GValue *) 0x0
	accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 117
	max_sequential_handler_number = 3762
	return_value_altered = 1
#33 0x0000003fbbe22b68 in IA__g_signal_emit_valist (instance=0x28558d0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb6d10)
    at gsignal.c:2977
	signal_return_type = 4
	param_values = (GValue *) 0x7f42480f1498
	node = (SignalNode *) 0x260a310
	i = 0
	n_params = 0
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#34 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
	var_args = {{gp_offset = 24, fp_offset = 48, 
    overflow_arg_area = 0x7fff61eb6df0, reg_save_area = 0x7fff61eb6d30}}
#35 0x000000361ae31acb in IA__gtk_widget_activate (widget=0x28558d0)
    at gtkwidget.c:4776
	__PRETTY_FUNCTION__ = "IA__gtk_widget_activate"
#36 0x000000361ad3658d in IA__gtk_menu_shell_activate_item (
    menu_shell=0x284c0f0, menu_item=0x28558d0, 
    force_deactivate=<value optimized out>) at gtkmenushell.c:1139
	slist = <value optimized out>
	shells = (GSList *) 0x7f424d0e8b30
	__PRETTY_FUNCTION__ = "IA__gtk_menu_shell_activate_item"
#37 0x000000361ad37fd5 in gtk_menu_shell_button_release (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkmenushell.c:678
	submenu = (GtkWidget *) 0x0
	menu_item = (GtkWidget *) 0x28558d0
	deactivate = <value optimized out>
#38 0x000000361ad294c8 in _gtk_marshal_BOOLEAN__BOXED (closure=0x25fe5b0, 
    return_value=0x7fff61eb7040, n_param_values=<value optimized out>, 
    param_values=0x7f4248102d50, invocation_hint=<value optimized out>, 
    marshal_data=0x361ad2f1b0) at gtkmarshalers.c:84
	data1 = (void *) 0x284c0f0
	data2 = (void *) 0x6
	v_return = <value optimized out>
	__PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#39 0x0000003fbbe0b7dd in IA__g_closure_invoke (closure=0x25fe5b0, 
    return_value=0x7fff61eb7040, n_param_values=2, 
    param_values=0x7f4248102d50, invocation_hint=0x7fff61eb7000)
    at gclosure.c:767
	marshal = (void (*)(GClosure *, GValue *, guint, const GValue *, 
    gpointer, gpointer)) 0x3fbbe09ce0 <g_type_class_meta_marshal>
	marshal_data = (void *) 0x160
	__PRETTY_FUNCTION__ = "IA__g_closure_invoke"
#40 0x0000003fbbe2119b in signal_emit_unlocked_R (node=0x25fe1d0, detail=0, 
    instance=0x284c0f0, emission_return=0x7fff61eb7180, 
    instance_and_params=0x7f4248102d50) at gsignal.c:3282
	accumulator = (SignalAccumulator *) 0x25fe3e0
	emission = {next = 0x0, instance = 0x284c0f0, ihint = {
    signal_id = 57, detail = 0, run_type = G_SIGNAL_RUN_LAST}, 
  state = EMISSION_RUN, chain_type = 39889824}
	class_closure = (GClosure *) 0x25fe5b0
	handler_list = (Handler *) 0x0
	return_accu = (GValue *) 0x7fff61eb7040
	accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, 
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
	signal_id = 57
	max_sequential_handler_number = 3762
	return_value_altered = 0
#41 0x0000003fbbe229ea in IA__g_signal_emit_valist (instance=0x284c0f0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fff61eb71e0)
    at gsignal.c:2987
	return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, 
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, 
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, 
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, 
      v_pointer = 0x0}}}
	error = <value optimized out>
	signal_return_type = 20
	param_values = (GValue *) 0x7f4248102d68
	node = (SignalNode *) 0x25fe1d0
	i = 1
	n_params = 1
	__PRETTY_FUNCTION__ = "IA__g_signal_emit_valist"
#42 0x0000003fbbe23093 in IA__g_signal_emit (instance=0x2c0, signal_id=704, 
    detail=6) at gsignal.c:3034
	var_args = {{gp_offset = 32, fp_offset = 48, 
    overflow_arg_area = 0x7fff61eb72c0, reg_save_area = 0x7fff61eb7200}}
#43 0x000000361ae2c1de in gtk_widget_event_internal (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkwidget.c:4745
	signal_num = <value optimized out>
	return_val = 0
#44 0x000000361ad21e33 in IA__gtk_propagate_event (widget=0x284c0f0, 
    event=0x7f424d0e02a0) at gtkmain.c:2391
	tmp = (GtkWidget *) 0x284c0f0
	handled_event = 0
	__PRETTY_FUNCTION__ = "IA__gtk_propagate_event"
#45 0x000000361ad22f53 in IA__gtk_main_do_event (event=0x7f424d0e02a0)
    at gtkmain.c:1596
	event_widget = (GtkWidget *) 0x28558d0
	grab_widget = (GtkWidget *) 0x28558d0
	window_group = (GtkWindowGroup *) 0x27e6560
	rewritten_event = (GdkEvent *) 0x0
	tmp_list = <value optimized out>
	__PRETTY_FUNCTION__ = "IA__gtk_main_do_event"
#46 0x000000361a84dd5c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2365
	display = <value optimized out>
	event = <value optimized out>
#47 0x0000003fb9e3779b in g_main_dispatch () at gmain.c:2144
No locals.
#48 IA__g_main_context_dispatch (context=0x247d6c0) at gmain.c:2697
No locals.
#49 0x0000003fb9e3af6d in g_main_context_iterate (context=0x247d6c0, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2778
	max_priority = 2147483647
	timeout = 3734
	some_ready = 1
	nfds = 13
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x7f425198e8a0
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#50 0x0000003fb9e3b49d in IA__g_main_loop_run (loop=0x7f424f524ba0)
    at gmain.c:2986
	self = (GThread *) 0x2453520
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#51 0x000000361ad23367 in IA__gtk_main () at gtkmain.c:1200
	tmp_list = (GList *) 0x2455c20
	functions = (GList *) 0x0
	init = (GtkInitFunction *) 0x28bc7f0
	loop = <value optimized out>
#52 0x0000000000420a91 in main (argc=<value optimized out>, 
    argv=<value optimized out>) at main.c:330
	_save = (PyThreadState *) 0x28bc7f0
	program = (GnomeProgram *) 0x246e050
	session_bus = <value optimized out>
	error = (GError *) 0x0
	rb_shell = <value optimized out>
	new_argv = (char **) 0x2455c20
	context = <value optimized out>
	options = {{long_name = 0x48de5c "debug", short_name = 100 'd', 
    flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x6a95f0, 
    description = 0x47afcc "Enable debug output", arg_description = 0x0}, {
    long_name = 0x47afe0 "debug-match", short_name = 68 'D', flags = 0, 
    arg = G_OPTION_ARG_STRING, arg_data = 0x6a95f8, 
    description = 0x47b158 "Enable debug output matching a specified string", 
    arg_description = 0x0}, {long_name = 0x47afec "no-update", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x6a961c, 
    description = 0x47b188 "Do not update the library with file changes", 
    arg_description = 0x0}, {long_name = 0x47aff6 "no-registration", 
    short_name = 110 'n', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x6a9600, description = 0x47b006 "Do not register the shell", 
    arg_description = 0x0}, {long_name = 0x47b020 "dry-run", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x6a9618, 
    description = 0x47b1b8 "Don't save any data permanently (implies --no-registration)", arg_description = 0x0}, {long_name = 0x47b028 "rhythmdb-file", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING, 
    arg_data = 0x6a9610, 
    description = 0x47b036 "Path for database file to use", 
    arg_description = 0x0}, {long_name = 0x47b054 "playlists-file", 
    short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_STRING, 
    arg_data = 0x6a9608, 
    description = 0x47b1f8 "Path for playlists file to use", 
    arg_description = 0x0}, {long_name = 0x47d1e9 "quit", 
    short_name = 113 'q', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x6a9604, description = 0x47b063 "Quit Rhythmbox", 
    arg_description = 0x0}, {long_name = 0x48222a "", short_name = 0 '\0', 
    flags = 0, arg = G_OPTION_ARG_STRING_ARRAY, arg_data = 0x6a9620, 
    description = 0x0, arg_description = 0x47b072 "[URI...]"}, {
    long_name = 0x0, short_name = 0 '\0', flags = 0, arg = G_OPTION_ARG_NONE, 
    arg_data = 0x0, description = 0x0, arg_description = 0x0}}
	__FUNCTION__ = "main"
Current language:  auto; currently asm
Current language:  auto; currently c
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
warning: the debug information found in "/usr/lib/debug/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so.debug" does not match "/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so" (CRC mismatch).
warning: the debug information found in "/usr/lib/debug//usr/lib64/libcanberra.so.0.1.3.debug" does not match "/usr/lib64/libcanberra.so.0" (CRC mismatch).
warning: the debug information found in "/usr/lib/debug/usr/lib64/libcanberra.so.0.1.3.debug" does not match "/usr/lib64/libcanberra.so.0" (CRC mismatch).
warning: the debug information found in "/usr/lib/debug//usr/lib64/libcanberra-gtk.so.0.0.4.debug" does not match "/usr/lib64/libcanberra-gtk.so.0" (CRC mismatch).
warning: the debug information found in "/usr/lib/debug/usr/lib64/libcanberra-gtk.so.0.0.4.debug" does not match "/usr/lib64/libcanberra-gtk.so.0" (CRC mismatch).
--------------------------------------------------
Comment 1 Jan Hutař 2009-02-09 11:32:30 EST
It do not crashes with rhythmbox-0.11.6-19.r6096.fc10.x86_64 any more.

Note You need to log in before you can comment on or make changes to this bug.